# H245_H222LogicalChannelParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H222LogicalChannelParameters:

List of all members.

## Public Types

enum | OptionalFields { e_pcr_pid, e_programDescriptors, e_streamDescriptors }

## Public Member Functions

| H245_H222LogicalChannelParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_resourceID
PASN_Integer | m_subChannelID
PASN_Integer | m_pcr_pid
PASN_OctetString | m_programDescriptors
PASN_OctetString | m_streamDescriptors

## Member Enumeration Documentation

enum H245_H222LogicalChannelParameters::OptionalFields

Enumerator:

  e_pcr_pid |
  e_programDescriptors |
  e_streamDescriptors |

## Constructor & Destructor Documentation

H245_H222LogicalChannelParameters::H245_H222LogicalChannelParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H222LogicalChannelParameters::GetDataLength | ( |  | ) | const

PBoolean H245_H222LogicalChannelParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_H222LogicalChannelParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H222LogicalChannelParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H222LogicalChannelParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H222LogicalChannelParameters::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_H222LogicalChannelParameters::m_resourceID

PASN_Integer H245_H222LogicalChannelParameters::m_subChannelID

PASN_Integer H245_H222LogicalChannelParameters::m_pcr_pid

PASN_OctetString H245_H222LogicalChannelParameters::m_programDescriptors

PASN_OctetString H245_H222LogicalChannelParameters::m_streamDescriptors

The documentation for this class was generated from the following file:

- h245.h